cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/events/{eventId}/markets \
--header 'x-api-key: <api-key>'{
"data": [
{
"marketId": "<string>",
"openTime": 123,
"closeTime": 123,
"resolveAt": 123,
"marketResultPubkey": "<string>",
"imageUrl": "<string>",
"metadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>"
},
"pricing": {
"buyYesPriceUsd": 123,
"buyNoPriceUsd": 123,
"sellYesPriceUsd": 123,
"sellNoPriceUsd": 123,
"volume": 123
}
}
],
"pagination": {
"start": 1,
"end": 1,
"total": 1,
"hasNext": true
}
}Markets
Get Event Markets
Get all markets for a specific event
GET
/
events
/
{eventId}
/
markets
cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/events/{eventId}/markets \
--header 'x-api-key: <api-key>'{
"data": [
{
"marketId": "<string>",
"openTime": 123,
"closeTime": 123,
"resolveAt": 123,
"marketResultPubkey": "<string>",
"imageUrl": "<string>",
"metadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>"
},
"pricing": {
"buyYesPriceUsd": 123,
"buyNoPriceUsd": 123,
"sellYesPriceUsd": 123,
"sellNoPriceUsd": 123,
"volume": 123
}
}
],
"pagination": {
"start": 1,
"end": 1,
"total": 1,
"hasNext": true
}
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Path Parameters
Event identifier
Minimum string length:
1Was this page helpful?
⌘I
